What is VivAlarm Mobile

What is VivAlarm MobileVivAlarm Mobile?

VivAlarm-Mobile is a powerful spectrum analyzer designed specifically for use in the laboratory animal research environment. The program interfaces with a high quality data acquisition board (VivAlarm-Mobile DAQ) and a high quality microphone or hyrdrophone capable of measuring sounds along the entire human and lab animal hearing range to provide real time intensity and sound frequency spectral analysis of acoustic signals. It can be used to find sources of problem noise or ultrasonic noise in an animal facility or lab from lights, computers, motors, compressed gas lines, cage washers, autoclaves, and a wide rnage of other laboratory equipment known to generate problem noise or ultrasonic noise.


System Requirements

Current Minimum System Requirements:

Vista, Win 7, Win 8/8.1, Win 10 (both 32 and 64 bit versions supported)

1GB RAM, 40MB hard disk space

1024 x 768 or greater display resolution

USB 3.0 port

VivAlarm Mobile DAQ

Mouse or other pointing device


Basic Operation

The analyzer program works in conjunction with the VivAlarm-DAQ. Simply plug the microphone or hyrdrophone into the appropriate DAQ Line-In channel. VivAlarm-Mobile software then uses the DAQ to perform an "Analog-to-Digital" conversion on the audio signal. This digitized audio is then passed through a math algorithm known as a Fast Fourier Transform (FFT)F F T which converts the signal from the time domain to the frequency domain. The CPU on your computer/tablet is used to perform this transformation.

The VivAlarm-Mobile software continuously processes the input signal and plots the spectral data.

For the typical lab animal facility, we recommend macroenvironment noise measurements in the geometric center of each room and near any potential source of noise or ultrasonic noise to identify the source, frequency content and intensity. Additional measurements should be made of the microenvironment inside the caging. Sometimes this requires placement of the microphone inside the cage and drilling an access hole for the microphone in a test cage that can be moved throughout the facility. Additional measurements should be made in hallways and any procedure rooms or labs where the animals will be held or tested.

See also: Setting up the Analyzer


Setting up the Analyzer

Setup the hardware:

After installing the VivAlarm-Mobile software and VivAlarm-Mobile DAQ driver on your table or laptop (refer to instructions included with your hardware), connect the microphone cable to the Input L BNC connector on the DAQ and connect the DAQ's USB cable to the computer. The software is set up to be ready to use within minutes of connecting by activating the most likely used default settings in the software.

Frequency Range:

Prior to making a measurement, you need to determine what frequency range you are interested in, and what frequency resolution is required. Go to the Settings S e t t i n gs dialog box by selecting the <Options><Processing Settings> menu. Set the Sampling Rate S a m p l i n g_R a t e to at least twice the highest rate that you wish to measure.

Axis Scaling:

Go to the Processing Settings dialog box and select the desired scaling options. The program defaults to Logarithmic amplitude scaling and Narrowband FFT frequency axis scaling.

Start the analyzer

Click <Run> on the sidebar or use the associated accelerator key <alt> <R> to start the processor. The display will then begin updating.

Stop the analyzer and make a measurement

Click <Stop> on the toolbar or use the associated accelerator keys <alt> <S> to stop the processor. Use the mouse to point to a feature of interest on the plot and press the left mouse button. Measurement boxes will appear which contain the corresponding plot values. (See Cursor Measurements C u r s o r_M e a s u r e m e n t s for more information).

Print the results

Selecting the <Print> menu item will print the spectrum plot on the selected printer. You will also have an opportunity to enter custom annotation which is printed along the top center of the page.

See also: Basic Operation, What is a Spectrum Analyzer? , Printing , Keyboard Shortcuts


Cursor Measurements

Left Mouse Button:

Pressing the left mouse button anywhere within the plot region will display horizontal and vertical measurement boxes containing the values of the X and Y positions pointed to.

Control Key + Left Mouse button:

Holding down the Control Key and clicking the left mouse button anywhere within the plot region and dragging will display horizontal and vertical measurement boxes containing the differential values of the X and Y positions relative to the starting point. This is very useful for measuring the difference between two points on the plot.

Shift Key + Left Mouse button:

Holding down the Shift Key and clicking the left mouse button anywhere within the plot region will display a set of "harmonic cursors". These cursors show the first 10 harmonic frequencies. This is very useful for identifying harmonically related components within a complex spectrum.

Control + Shift Key + Left Mouse button:

Holding down both the Control and Shift Keys and clicking the left mouse button anywhere within the plot region will display a set of "sideband cursors". These cursors show additional measurement lines on both the upper and lower sides of the start point. This is very useful for identifying modulation related components within a complex spectrum.

Right Mouse Button:

Pressing and holding the right mouse button within any view will activate a popup menu containing additional editing and processing options. The contents of this popup menu depends upon the specific view. See the Right Click Menu topic for more information.

The Spectrum plot will "pull" the cursor to the trace along the amplitude axis. This can be disabled from the Plot Options dialog box or by Right Click Menu .

Notes:

  • It is recommended that you "Stop" the Analyzer while using these cursor measurements. There are no corresponding keyboard commands.

See also: Keyboard Shortcuts,


Right Click Menu

A single click with the right mouse within the plot area of any view will activate a menu containing a variety of additional actions.

Copy as Text - copies the displayed spectrum values to the clipboard in tab delimited text format.

Write to Text File - writes the displayed spectrum values to an ASCII text file.

Copy as Bitmap - copies the plot image to the clipboard in standard bitmap format.

Clear Spectrum - clears the current spectrum. This is useful if you wish to view/print overlays with just the peak hold trace

Clear Peak Hold - clears the current spectrum. This is useful if you wish to view/print overlays without the peak hold trace.

Autoscale Specctrum - Evaluates the data and sets the Plot Top/Range parameters to optimum values.

Pull Cursor To Trace - If this option is enabled, the measurement cursor will automatically "pull" to the spectrum trace along the amplitude axis.

Set Marker N - activates marker N at the frequency of the mouse click point.

Clear Marker N - clear individual markers

Marker Options - activates the Marker Options dialog box

View Data Values - displays a table containing the current spectrum values. The contents of this table will update whenever the display changes.

Properties - activate the display options dialog box.

Help - activates the online help.

See Also: Spectrum Plot


Printing the results

Select the <Print><Print> menu. Change any printer options and click OK.

The <Print><Print Setup> menu command allows you to select various options specific to your printer.

Annotation: Two user defined lines of annotation are provided. These are centered along the top portion of the printout.

Margins: Set as desired.

Comments: You can include up to 10 comment lines which will be printed below the plot.

Note: If you Right Click on the plot a menu will popup. The option "Copy As Bitmap" will place the spectrum plot on the Windows clipboard - you can paste this into a report.


Spectrum Plot

This plot is a 2 dimensional plot of the spectrum. The horizontal axis shows the frequency in Hertz (Hz). The vertical axis shows the amplitude of each frequency. The amplitude scale can be modified using the calibration option.

The zoom buttons on the toolbar allow you to easily adjust the displayed frequency span.

The mouse can be used to measure the frequency and amplitude information directly off the plot. In addition, right clicking on the plot and choosing the "Copy as Text" menu item will place the current spectral data on the clipboard in tabular format. This can be directly pasted into any spreadsheet or text file.

Toolbar Controls

Spectrum Plot Options

Overlays

Cursor Measurements

See Also: Processing Settings , Measurement Accuracy , Performance Issues


Settings

Processing Settings

Click the Options | Processing Settings menu and click on the Settings tab or click the Settings button on the Sidebar. The dialog box contains the following options:

Sampling Rate

Sampling Format

Averaging Settings

Spectral Weighting

Utility Measurement Frequency Span


Calibration

Click the Options | Processing Settings menu and click on the Calibration tab or click the calibration button on the sidebar.

Microphone Calibrator

This method requires a microphone calibrator or pistonphone. This is produces a tone at a known SPL level (typically 94 dB)

Procedure:

  • Place the microphone in the mic calibrator and turn on the tone.
  • Enter the output level of the microphone calibrator
  • Press the "Perform Calibration" button and wait for it to complete.

Directly to the Microphone Sensitivity

Enter the transducer sensitivity from the datasheet provided by the microphone manufacturer. The analyzer will convert the detected voltage to the corresponding engineering units based on this sensitivity.

Directly to the Hydrophone Sensitivity:

Enter the transducer sensitivity from the datasheet provided by the hydrophone manufacturer. The analyzer will convert the detected voltage to the corresponding engineering units based on this sensitivity.

Additional Notes:

If you change the VivAlarm-Mobile-DAQ input voltage range the analzyer will automatically recalculate the internal calibration values for you. This applies for all calibration methods when the VivAlarm-Mobile-DAQ hardware is used

See also: VivAlarm-Mobile-DAQ , Settings


Device Options

Click the Options | Processing Settings menu and click on the Device tab.

This allows you to view the VivAlarm DAQ serial number and control the following device parameters:

Input Range: This allows you to set the maximum input voltage for the A/D converter. If you change the input range the calibration will automatically apply the correct gain to the measurement. The input range is applied to both channels.

IEPE power: You can enable IEPE power (4ma constant current) for powering microphones, accelerometers and other IEPE compliant transducers. This eliminates the need for an external power supply and simplifies the setup and wiring.

IEPE is equivalent to ICP (a trademark of PCB Electronics).

Put DAQ into low power mode when program closes: The DAQ requires significant power due to the professional quality electronics and uses USB 3.0 for this reason. You can have the DAQ go to a low power standby mode - this will save power when using a laptop of tablet. It will take slightly longer to startup and shutdown.

See Also: VivAlarm Mobile DAQ , Calibration


Peak Frequency

The peak frequency utility will display the frequency of the strongest spectral component in the entire span (not just what is displayed). This utility window can be resized as required by the user and its contents will update anytime a new spectrum is computed. If the analyzer is configured to display the spectrum of both the left and right channels, this utility window will also show the value for both channels. The left channel value will appear above the right channel value.

You can control the frequency range over which these measurement values are calculated . This is on the Settings tab of the Processing Settings.


Peak Amplitude

The peak amplitude utility will display the amplitude of the strongest spectral component in the entire span (not just what is displayed). This utility window can be resized as required by the user and its contents will update anytime a new spectrum is computed. If the analyzer is configured to display the spectrum of both the left and right channels, this utility window will also show the value for both channels. The left channel value will appear above the right channel value.

You can control the frequency range over which these measurement values are calculated . This is on the Settings tab of the Processing Settings.


Total Power

The total power utility will display the total RMS power level for the entire spectrum and is equal to the total power bar on the right side of the spectrum view. The weighting (Flat, A, B or C) used for this utility is set under the Processing Settings options dialog box.

This utility window can be resized as required by the user and its contents will update anytime a new spectrum is computed. If the analyzer is configured to display the spectrum of both the left and right channels, this utility window will also show the value for both channels. The left channel value will appear above the right channel value.

The total power value is also shown as a vertical bar on the right side of the spectrum plot.

You can control the frequency range over which these measurement values are calculated . This is on the Settings tab of the Processing Settings.


Measurement Accuracy

Frequency Accuracy:

The frequency accuracy depends directly on the accuracy of the sampling clock on the VivAlarm Mobile DAQ. This is typically a fraction of a Hertz (Hz).

Amplitude Accuracy:

The VivAlarm Mobile DAQ is precisely calibrated to within 0.05 %. Refer to the microphone frequency response provided from the manufacturer.

Octave Scaling Accuracy:

Historically, spectrum analyzers have utilized analog filters for each band and standards (ANSI S1.11-2004) have been developed which specify the performance of these filters . VivAlarm Mobile uses a Fast Fourier Transform (FFT) to compute the spectral data and then derives the octave data. This algorithm uses the same ISO center frequencies and bandwidths as analog instruments; however, the FFT filtering method produces much steeper "shoulders". These digital filters meet or exceed the performance of traditional analog filters.

Dynamic Range:

The theoretical dynamic range of the system is as follows:

16 bit sampling precision = 96 dB

24 bit sampling precision = 144 dB

See also: Settings , Calibration


Keyboard Shortcuts

The main sidebar contains icons for controlling the processor. Each icon's label has one of the letters underlined. Pressing the <Alt> key and the underlined letter will perform the same action as a button press.

In the same way, keyboard shortcuts are available for many of the menu items. Pressing the <Alt> key and the underlined letter in the menu and sub-menu item will allow quick access to the commands.

Additional shortcut keystrokes called "accelerator keys" are available for selected menu items:

Accelerator keys:

F1 Help

F2 Run

F3 Stop

F4 Processing Settings dialog box

F5 Plot Options dialog box

F9 Calibration dialog box

Ctrl+P Print

Alt+F4 Exit the application

See also: Toolbar, Status bar


Toolbar

Toolbars

VivAlarm Mobile contains both a main application Sidebar and a Plot Toolbar:

Sidebar

Plot Toolbar

See also: Basic Operation, Keyboard Shortcuts , Cursor Measurements


Status Bar

The status bar is located along the bottom edge of the application. It contains the status of the analyzer as well as a signal level indicator.

Run status (Stopped, Running etc).


Technical Support

Please feel free to call or write.

Before calling, make sure that your DAQ is properly installed and that the correct driver is installed. Also, take a moment to view the "README.TXT" file for additional instructions.

Pioneer Hill Software LLC, 24460 Mason Rd NW, Poulsbo WA 98370 USA

360 697-3472 (voice)

pioneer@spectraplus.com

www.spectraplus.com

Copyright 2017, PHS

All Rights Reserved.

Legal Notices and Trademark attributions.

All trademarks are the property of their respective owners.


Plot Toolbar

Zoom Selector: Allows you to graphically select the frequency span to expand. Click the Zoom Selector button, then click and drag the mouse across a range of frequency data. When the mouse button is released, the display will zoom in to show only the selected frequency span.

Zoom In 2X: Adjusts the horizontal axis to display one half as many data points.

Zoom Out 2X: Adjusts the horizontal axis to display twice as many data points.

Zoom Out Full: Shows the entire range of frequencies.

Line Graph button: Changes the spectrum plot type to a Line Graph.

Stepped Bar Graph button: Changes the spectrum plot type to a Stepped Bar Graph.

Bar Graph button: Changes the spectrum plot type to a Bar Graph.

Display options button: Activates the display options dialog box for the associated view. This performs the same action as the <Options><Spectrum> menu item.

Markers: Access the marker settings

Autoscale button: Evaluates the currently displayed spectral data and sets the Plot Top/Range parameters to optimum settings.

Plot Top: Changes the value of the top edge of the amplitude axis scale. This corresponds to the same control in the display options dialog box for the view. Clicking on the up/down arrows allows you to quickly adjust the plot window as needed.

Plot Range: Changes the total displayed range of the amplitude axis scale. This corresponds to the same control in the display options dialog box for the view. Clicking on the up/down arrows allows you to quickly increase or decrease the displayed dynamic range.

Peak Hold: Set Peak Hold type peak hold (spectrum plot only)

: Main Toolbar


Octave Scaling

Octave band analysis has been defined as a standard for acoustic analysis. This type of spectrum is called constant percentage band (CPB) because each frequency band is a constant percentage of its center frequency. In other words, the analysis bands become wider in proportion to their center frequencies. 1/1 and 1/3 octave spectra are the most frequently used formats in acoustical measurements - three 1/3 octave bands encompass one octave.

It can be argued that the frequency resolution in octave band analysis is too poor to be of much use, but a major advantage of constant percentage band analysis is that a very wide frequency range can be displayed on a single graph and the frequency resolution at the lower frequencies can still be fairly narrow. The naturally occurring ambient spectra will be found to slope downwards at the highest frequencies, and a constant percentage band (CPB) spectrum of the same data will usually be more uniform in level over a broad frequency range. Pink noise slopes downward at 3dB per octave and produces a perfectly flat octave spectrum.

Standard octave band center frequencies and bandwidths have been agreed upon by the international community. These standards are used by VivAlarm-Mobile.

Most octave analyzers are analog instruments and use analog filters for each band. VivAlarm-Mobile is a digital analyzer and utilizes the FFT F F T algorithm to compute the narrowband (linear) frequency spectrum. This linear frequency spectrum is then apportioned among the octave bands to produce the corresponding octave spectrum.

See also: FFT size Standard Frequency Weighting


Contents

Introduction

Welcome

What is a spectrum analyzer?

System Requirements

Making a Measurement

Basic Operation

Setting up the analyzer

Cursor measurements

Right Click Menu

Printing the Results

Options

Processing Settings

Plot Options

Utilities

Peak Frequency

Peak Amplitude

Total Power

Performance Issues

Measurement Accuracy

Misc

Keyboard Shortcuts

Toolbars

Status bar

Set Paths

Application Notes

VivAlarm Mobile DAQ

Technical Support


Amplitude Axis Scaling

Two basic amplitude scaling types are linear and logarithmic. They are related by the following equations:

Linear value = 10 ^ (Log value/20)

Log value = 20 * Log10 (Linear value)

Linear amplitude scaling makes the largest components in a spectrum very easy to see and to evaluate, but very small components may be overlooked completely. Linear scaling may be adequate in cases where the components are all about the same size. Logarithmic amplitude scaling clearly shows the low level signals in the presence of stronger signals. Logarithmic scaling is the default.

Log Magnitude scaling uses linear units on a logarithmic scale.

See Also: Frequency Axis Scaling


Frequency Axis Scaling

There are two basic types of frequency axis scaling: Narrowband and Octave. Narrowband scaling can be displayed in either Linear or Logarithmic format; Octave scaling is always displayed in Logarithmic format.

Narrowband FFT Scaling

The spectrum produced by an FFT F F T algorithm is also known as a narrowband spectrum. Each spectral line is a constant bandwidth and typically quite narrow. The narrowband spectral data can be displayed on a linear or logarithmic frequency axis scale.

Octave Scaling

Octave scaling produces a set of bands with constant proportional bandwidth. You can select from 1/1 and 1/3 octave resolution. The Octave spectral data is displayed on a logarithmic frequency axis scale. See the Octave Scaling 5 R G V_2 U topic for more details.

See Also: Amplitude Axis Scaling


Measurement Utilities

These measurement utility windows can be resized as required by the user and their contents will update anytime a new spectrum is computed. If the analyzer is configured to display the spectrum of both the left and right channels,these utility windows will also show the values for both channels. The left channel value will appear above the right channel value.

Peak Frequency

Peak Amplitude

Total Power


Set Paths

This option allows you to customize the default file directories for each of the file types utilized by the software.

Set or Create All Paths - this allows you to easily change all the file paths without having to edit each one. If the specified folder is not found it will be create along with the underlying data folders.

Set Defaults - restores the data paths to their original installed location (typically \My Documents\User\VivAlarm)


Sidebar

The controls on the main sidebar allow easy access to commonly used settings. These controls duplicate the functionality found in the Settings dialog box.

Run Start the analyzer

Stop Stop the analyzer

Avgeraging Adjust the averaging speed

Resolution Set Narrowband FFT Linear, or Log , 1/1 or 1/3 Octave resolution

Settings Opens the Processing Settings dialog box

Calibrate Opens the Calibration dialog box

Device Opens the Device Options dialog box

See Also: Plot Toolbar


Spectrum Plot Options

Defaults have been set to those settings most commonly used in lab animal facility spaces. The spectrum display options dialog box can be activated by selecting the Options | Plot Options menu or by clicking on the options dialog icon button on the toolbar 2 A J Q.N P.

Plot Type: You can change between line, bar and stepped bar graphs by clicking on the toolbar controls or from the spectrum display options dialog box. The line option is best suited for most application in the animal facility, so it has been set as the default, but the stepped bar graph option is recommended when using Narrowband resolution . The bar graph option is recommended when Octave 5 R G V_2 U scaling is selected.

Plot Top/Range: The Plot Top and Range values determine the amplitude axis scale values. Plot Top is the value at the upper edge of the plot. The lower edge of the plot is always equal to the Top value minus the Range value. When linear scaling 1 2 8 9_H X is selected for the amplitude axis, the Plot Range value is set to zero and cannot be changed.

Peak Hold: Control the behavior of the Peak Hold trace showing the highest amplitude values for each frequency. For information on the Peak Hold feature see the Peak Hold Peak_Hold topic.

Pull Cursor to Trace: If this option is enabled, the measurement cursor C u r s o r_M e a s u r e m e n t s will automatically "pull" to the spectrum trace along the amplitude axis. You can also change this option by right clicking on the plot.

Show Toolbar: Show or hide the plot toolbar.

Show Overlay Controls: Show or hide the overlay controls on the right side of the Spectrum Plot. A small + or - button below the overlay controls also controls this feature.

Colors: The color of each plot feature can be changed. The "Default" button will restore the initial colors settings.

Marker Options: Setup the markers M a r k e r s. The marker settings can also be accessed by clicking the "Mrk" button on the spectrum plot toolbar.

Grid Lines: Show or hide the grid lines.

Frequency Span: Although the displayed frequency span can easily be selected using the zoom buttons on the toolbar ,2 A J Q.N P you can also manually enter the span yourself. The span is limited to the total available span. The actual span displayed may vary slightly from the requested values because the values are adjusted to the nearest spectral line. For most applications in the animal facility this should be set to extend up to 96 kHz, so as to measure any ultrasonic noise the research animals might hear. But if the work requires a focus on lower frequency sounds for such species, this can be adjusted.

Display Update Interval: Controls how often the display is updated. This is useful on some laptop computers with slow display refresh rates to reduce flicker.

Show Total Power Meter: the total power meter is located along the right side of the spectrum plot and shows the "Total" power of the spectral data. This value is equal to the Total Power utility. A different weighting curve can be applied to this value (this is set in the Processing Settings dialog box). A small + or - button below the meter also controls this feature.

See Also: Spectrum Plot , Toolbar


Overlays

The overlay feature allows you to display multiple spectral traces on the same plot for quick comparisons with previous measurements.

Controls for creating and clearing overlays are located along the right edge of the spectrum view. Up to 6 overlays can be displayed for each channel. In addition, a "Composite" overlay can be set which is computed from other overlays.

Note: You can show/hide the entire set of overlay controls to save space on the plot by clicking the small box on the bottom right corner of the plot.

Spectral Overlay Operations

Clicking one of the numbered "Set" overlay buttons will create an overlay using the contents of the current spectrum. The overlays can be turned On and Off by clicking the checkbox labeled "On".

Clicking the "Options" button brings up a dialog box with additional controls:

Legend: You may enter a descriptive legend up to 24 characters long. This legend is displayed on the spectrum view and printed on any printouts. The legend is saved as part of the overlay file format and restored whenever you load the file from disk.

Offset: You can apply an offset in dB to each overlay; this is useful for aligning overlays for comparison purposes.

Disk Storage: Use these controls to save and load the overlay traces from disk. Temporary overlay files are used for storing the overlay data between sessions. These files are named L1.OVL, L2.OVL, L3.OVL, L4.OVL, L5.OVL, L6.OVL, R1.OVL, R2.OVL, R3.OVL, R4.OVL, R5.OVL and R6.OVL. Do not use these filenames for saving your own data as they will be overwritten. Any offset is NOT included in the saved overlay file contents.

Trace Colors: these controls allow you to select the display colors for each of the overlay traces and legends. These colors are also used when printing the spectrum view on a color printer. If you print to a monochrome printer, each of the overlays will have a unique line style.

Legend Display Size: this value will adjust the width of the rights border of the spectrum plot to show the specified number of legend characters. Space may be reserved for up to 24 characters.

Overlay File Format:

Overlay files can be created manually. Overlay files are simple ASCII text files containing two columns of numbers separated by a tab. The left column contains the frequency; the right column contains the corresponding amplitude value. If a semicolon is placed on the first column, the entire line will be treated as a comment and ignored. Legends are the first line in the file and have a semicolon in the first column. At least 3 data points are required and up to 32768 points can be used.

A cubic spline algorithm is used to interpolate between each data point.

Composite Overlay

Pressing the overlay button labeled "C" will allow you to setup a "Composite" overlay. The composite overlay can be either an average of up to 6 selected overlays or the difference between any 2 selected overlays. Any offset selected for the dependent overlays is applied when the composite values are computed. An offset can also be applied to the composite overlay itself.

Note: You can set the default folder for the overlay files - click the <Print>< Set Paths > menu to access this setting.

Interpolation: When manually creating overlays the results can have unexpected excursions due to the cubic spline interpolation algorithm. You can turn off this algorithm by adding a line to the beginning of the overlay file as follows

;SPLINE OFF


Acoustic Response of a Room

Measuring the acoustic response will enable you to properly adjust the equalizer settings on your sound system for optimum performance. A typical procedure is described below:

Key Settings:

Amplitude axis: Logarithmic

Frequency Resolution: 1/3 Octave

Standard Weighting: Flat

Sampling rate: 44100Hz

Averaging size: Forever

Signal Generator Pink Noise

Procedure:

  • Set your sound system equalizer settings to zero or take it off line.
  • Connect the signal generator to the input of your sound system.
  • Place the measurement microphone in the center of the room.
  • Adjust the sound card input gain and/or sound system output gain as needed
  • Run the analyzer and examine the spectrum. Stop the analyzer when the averaged spectrum response has settled sufficiently.

Interpret the results:

An acoustically "flat" room will produce a perfectly flat spectrum. In this instance, we are not concerned so much with the absolute values of the spectrum as with their relative response. Each 1/3 octave band corresponds to a slider on your 1/3 octave equalizer. Simply adjust the sliders on your equalizer to compensate for the acoustic response of the room. You may wish to run a second test to verify the results.

Narrowband frequency response (optional):

One limitation of 1/3 octave analysis is that each band represents a rather wide span of frequencies. If narrowband frequency components are present, 1/3 octave analysis lacks sufficient resolution to detect these components. Set the frequency Resolution to Narrowband and substitute white noise instead of pink and repeat the measurement above.


Application Notes

Acoustic response of a room


Audio Band

Frequencies in the audible range of hearing (20 to 20,000 Hz)


Averaging Settings

These setting control how the spectral data is averaged.

The averaging algorithm is equivalent to that of a standard Sound Level Meter (SLM). The average speed controls the spectral averaging period and decay time as follows:

  • Off - no averaging is performed.
  • Fast - computes a running average with a decay rate of 32 dB/sec.
  • Medium - computes a running average with a decay rate of 20 dB/sec.
  • Slow - computes a running average with a decay rate of 4 dB/sec.
  • Forever - accumulates the data for as long as the analyzer is running.

Notes:

The averaging speed can be modified while processing by using the "Averaging" controls on the sidebar.

See also: Peak Hold


FFT

FFT is an abbreviation for a Fast Fourier Transform.

The Fourier Transform is a mathematical tool developed and named after Jean Baptiste Fourier (1768 - 1830) and is commonly used to convert a signal from the time domain (amplitude-vs-time) to the frequency domain (amplitude-vs-frequency). A frequency domain plot is also known as a spectra plot.

The Fast Fourier Transform (FFT) is a computationally efficient implementation of the Fourier Transform developed by J.W. Cooley and J.W. Tukey in 1965. The Fast Fourier Transform is limited to block sizes which are even powers of 2.

For example, if a FFT is performed on a pure sinusoidal signal, the resulting spectra would be single peak (line). Real world signals are a composite of many sinusoidal signals; examining the signal's spectra clearly shows the frequency tones which are present.


Utility Measurement Frequency Span

The Peak Frequency, Peak Amplitude and Total Power Utility readounts allow convenient display of these important properties.

These settings allow you to control the frequency range over which these measurement values are calculated.

Full Analyzer Frequency Span: Use the entire available span of the spectral data. This depends on the sampling rate and resolution (1/1, 1/3 Octave, Narrowband FFT)

Spectrum Plot Displayed Frequency Span: Use only the displayed frequency span of the spectrum plot. As you zoom in and out the measurements are recomputed.

Custom Frequency Span: Allows you to directly specify the start and stop frequencies.

The is helpful when you are only interested in a specific frequency range such as 20,000 to 35,000 Hz as it will effectively ignore energy outside these limits.

Note - this also applies to the vertical total power bar located just to the right of the spectrum plot.

See Also: Peak Frequency , Peak Amplitude , Total Power


VivAlarm-Mobile-DAQ

The VivAlarm-Mobile-DAQ is optimized for use with the analyzer. It has been specifically designed for test and measurement applications in the animal facility space with special features for controlling the input voltage range, IEPE power for transducers and direct calibration. When the VivAlarm-Mobile-DAQ is selected as the input device the following options are available in the Processing Settings S e t t i n gs dialog box:

Device tab:

Input Range: This allows you to set the maximum input voltage for the A/D converters. If you change the input range the calibration will automatically apply the correct gain to the measurement. The input range is applied to both channels.

IEPE power: You can enable IEPE power (4ma constant current) for powering microphones, accelerometers and other IEPE compliant transducers. This eliminates the need for an external power supply and simplifies the setup and wiring. IEPE is equivalent to ICP (a trademark of PCB Electronics).

For best performance use the ASIO driver mode when the VivAlarm-Mobile-DAQ hardware is selected

Calibration tab:

Because the VivAlarm-Mobile-DAQ has fixed input gain ranges, the analzyer can be easily calibrated. There are several calibration methods that are available:

Microphone Calibrator : Allows you to calibrate the analzyer to SPL using a pistonphone or microphone calibrator.

Directly to Microphone Sensitivity: Allows you to calibrate using the known sensitivity of the microphone. The analyzer will convert the detected voltage to the corresponding engineering units based on this sensitivity.

Directly to Hydrophone Sensitivity: Allows you to calibrate using the known sensitivity of the hydrophone. The analyzer will convert the detected voltage to the corresponding engineering units based on this sensitivity.

If you change the input voltage range the analzyer will automatically recalculate the internal calibration values for you.


Markers

Markers are used to highlight specific frequencies of interest.

Click the "Mrk" button on the Spectrum plot toolbar to access the marker settings dialog box.

Labels can be applied to the markers. If custom labeling is selected, you may enter up to 30 characters of text.

Markers can also be set graphically by clicking the right mouse button in the spectrum view. This will bring up the Right Click Action Menu . Choosing one of the "Set Marker #" commands will set the marker frequency corresponding to the mouse click position. The "Clear All Markers" option will simply hide all markers; they can be reactivated by enabling them in the <Options><Markers> dialog box.


Peak Hold

When Peak Hold is used, the analyzer will display a secondary trace showing the highest amplitude values for each frequency. Selecting Fast, Medium or Slow will cause the peak hold values to temporarily hold before resetting. Forever will hold the values without releasing them. Stopping and restarting the processor will reset the peak hold values. A single left click on the sidebar will also reset the peak hold buffer.

Peak Hold can be controlled from either the Spectrum Plot Options dialog box or directly from the toolbar .

See also: Averaging Settings


Sampling Format

An important factor in determining the quality of the sampled sound is the number of bits per sample. This specifies the number of discrete levels that are used in the analog to digital (A/D) conversion process and directly affects the dynamic range of the measurement. The theoretical dynamic range is shown below:

16 bit sampling precision = 96 dB

24 bit sampling precision = 144 dB

In practice, the achievable dynamic range is less that the theoretical maximum due to internal noise and other factors. The VivAlarm DAQ is capable of 24 bit sampling precision.

See also: Measurement Accuracy


Sampling Rate

VivAlarm-Mobile allows you to select any Sampling Rate supported by your DAQ, but the default is set to 192 kHz. The measured frequency range is always 0 to 1/2 the Sampling Rate.

The Sampling Rate determines how many times a second that the analog input signal is "sampled" or digitized by the DAQ. A sampling rate of 10,000 Hz will sample the signal every .0001 second.

An important principal from digital signal processing is the "Nyquist Sampling Theorem" which states that any signal can be represented if sampled at least twice the rate of the highest frequency of interest. This means that if you wish to measure a 3,000 Hz signal, the sampling rate must be greater than 6,000 Hz. So in order to measure ultrasonic sounds in the animal facility that rats or mice or other species can hear up to 96 kHz, then a 192 kHz sampling rate must be used.


Standard Frequency Weighting

In addition to the unfiltered Flat weighting that is recommended for rodents in animal facilities, the ANSI standard A, B and C weighting curves can be applied to the spectral data and/or to the total power value. The Flat weighting should be used for most applications in the animal facility because it plots the unfiltered, wide range of sound frequencies audible to rats and mice and many other species used in lab animal facilities. The A, B, and C weighting curves are traditional used for measurements involving the human hearing range. They are set up to weight the sound based on how important it is for human hearing, which is irrelevant for non-human research. For example, to appreciate the impacts of a cage washer noise on the facility personnel, an A weighting should probably be used. The total power setting affects the values shown in the total power utility and on the total power bar along the right side of the spectrum view if enabled. Flat is equivalent to no weighting at all. Weighting functions emphasize frequencies in the 500 to 10,000 Hz range, which is the area of greatest sensitivity to the human ear.

See also: Octave